/**
 * Copyright (C), 2021-2021, 夸克科技有限公司
 * FileName: IRecognizeModel
 * Author: Administrator
 * Date: 2021/10/28 10:33
 * Description:
 * History:
 * <author> <time> <version> <desc>
 * 作者姓名 修改时间 版本号 描述
 */
package quake.quake_tensorflow_face_rec.detection.mvp.model;

import android.app.Activity;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;
import android.widget.Toast;



import java.io.IOException;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;

import quake.quake_tensorflow_face_rec.detection.env.Logger;
import quake.quake_tensorflow_face_rec.detection.tflite.SimilarityClassifier;
import quake.quake_tensorflow_face_rec.detection.tflite.TFLiteObjectDetectionAPIModel;
import quake.quake_tensorflow_face_rec.utils.Constants;
import quake.quake_tensorflow_face_rec.utils.DatabaseUtils;
import quake.quake_tensorflow_face_rec.utils.TestDao;


/**
 * @ClassName: IRecognizeModel
 * @Description: java类作用描述

 * @Author: Administrator
 * @Date: 2021/10/28 10:33
 */
public class RecognizeModel implements IRecognizeModel{
    private static final Logger LOGGER = new Logger();

    @Override
    public List<SimilarityClassifier.Recognition> getFaceInfo(String worker_id,String tfFaceFeature) {
        List<SimilarityClassifier.Recognition>   mapRecognition = new LinkedList<SimilarityClassifier.Recognition>();
        final SimilarityClassifier.Recognition result = new SimilarityClassifier.Recognition(
                worker_id, null, null, null);
        float[][] embeddings = DatabaseUtils.string2floatArray(tfFaceFeature);
        result.setEmbeddings(embeddings);
        result.setExtra(embeddings);
        result.setExtra(embeddings);
        mapRecognition.add(result);
        return mapRecognition;
    }

    @Override
    public SimilarityClassifier getClassifier(Context context, Activity activity) {
        SimilarityClassifier detector = null;
        try {
           detector =
                    TFLiteObjectDetectionAPIModel.create(
                            context.getAssets(),
                            Constants.TF_OD_API_MODEL_FILE,
                            Constants.TF_OD_API_LABELS_FILE,
                            Constants.TF_OD_API_INPUT_SIZE,
                            Constants.TF_OD_API_IS_QUANTIZED);
            //cropSize = TF_OD_API_INPUT_SIZE;
            //读取数据库的人脸特征值
        } catch (final IOException e) {
            e.printStackTrace();
            LOGGER.e(e, "Exception initializing classifier!");
            activity.finish();
        }
        return detector;
    }


}
