/**
 * Copyright (C), 2021-2021, 夸克科技有限公司
 * FileName: RecognizePresenter
 * Author: Administrator
 * Date: 2021/10/28 10:34
 * Description:
 * History:
 * <author> <time> <version> <desc>
 * 作者姓名 修改时间 版本号 描述
 */
package quake.quake_tensorflow_face_rec.detection.mvp.presenter;

import android.app.Activity;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;


import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

import quake.quake_tensorflow_face_rec.baseMvp.BasePresenter;
import quake.quake_tensorflow_face_rec.detection.mvp.contract.IRecognizeContract;
import quake.quake_tensorflow_face_rec.detection.mvp.model.RecognizeModel;
import quake.quake_tensorflow_face_rec.detection.tflite.SimilarityClassifier;


/**
 * @ClassName: RecognizePresenter
 * @Description: java类作用描述

 * @Author: Administrator
 * @Date: 2021/10/28 10:34
 */
public class RecognizePresenter extends BasePresenter<IRecognizeContract.View, RecognizeModel> implements IRecognizeContract.Presenter {


    private static final String TAG = "RecognizePresenter";

    @Override
    public void registerFace(JSONArray faceInfos,SimilarityClassifier detector) {
        for(int i = 0;i<faceInfos.length();i++){
            try {
                JSONObject faceInfo = new JSONObject(String.valueOf(faceInfos.get(i)));
                String worker_id = faceInfo.optString("worker_id");
                String tfFaceFeature = faceInfo.optString("tfFaceFeature");
                Log.d(TAG, "registerFace: worker_id="+worker_id+",faceFeature="+tfFaceFeature);
                List<SimilarityClassifier.Recognition> mapRecognition = mModel.getFaceInfo(worker_id,tfFaceFeature);
                if(mapRecognition!=null){
                    detector.register(mapRecognition.get(0).getId(), mapRecognition.get(0));
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    @Override
    public void initDetector() {

    }



    @Override
    public SimilarityClassifier createClassifier(Context context,Activity activity) {
        return mModel.getClassifier(context,activity);
    }
}
