package quake.quake_tensorflow_face_rec.ui.CustomView;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Paint;
import android.graphics.Path;
import android.util.DisplayMetrics;
import android.view.View;

public class DashedBox extends View implements Runnable{
    private Paint mPaint = null;
    private Paint sPaint = null;
    private float phase;
    float widthPixels;
    float heightPixels;
    DisplayMetrics dm;
    public DashedBox(Context context) {
        super(context);
        mPaint = new Paint();
        dm  = getResources().getDisplayMetrics();
        widthPixels = dm.widthPixels;
        heightPixels = dm.heightPixels;
        new Thread(this).start();
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        mPaint.setAntiAlias(true);
        mPaint.setColor(0xff206beb);
        mPaint.setStrokeWidth(20);
        mPaint.setStyle(Paint.Style.STROKE);

        mPaint.setPathEffect(new DashPathEffect(new float[]{100,50},phase));


        Path path = new Path();
        path.addRect(widthPixels/15,heightPixels/10,widthPixels*14/15,heightPixels*7/10,Path.Direction.CCW);
        canvas.drawPath(path,mPaint);



    }


    @Override
    public void run() {
        while(!Thread.currentThread().isInterrupted()){
            phase++;
            try {
                Thread.sleep(40);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            postInvalidate();
        }
    }
}
