package quake.quake_tensorflow_face_rec.utils;

import android.os.Environment;

import java.io.File;

/**
 * Created by darrenl on 2016/4/22.
 * Modified by Gaurav on Feb 23, 2018
 */

public final class Constants {
    private Constants() {
        // Constants should be prive
    }

    public static String getDLibDirectoryPath() {
        File sdcard = Environment.getExternalStorageDirectory();
        String targetPath = sdcard.getAbsolutePath() + File.separator + "dlib_rec_example";
        return targetPath;
    }

    public static String getDLibImageDirectoryPath() {
        String targetPath = getDLibDirectoryPath()+ File.separator + "images";
        return targetPath;
    }

    public static String getFaceShapeModelPath() {
        String targetPath = getDLibDirectoryPath() + File.separator + "shape_predictor_5_face_landmarks.dat";
//        String targetPath = getDLibDirectoryPath() + File.separator + "shape_predictor_68_face_landmarks.dat";
        return targetPath;
    }

    public static String getFaceDescriptorModelPath() {
        String targetPath = getDLibDirectoryPath() + File.separator + "dlib_face_recognition_resnet_model_v1.dat";
        return targetPath;
    }

    public static String getOpencvFaceShapeModelPath() {
        String targetPath = getDLibDirectoryPath() + File.separator + "dlib_face_recognition_resnet_model_v1.dat";
        return targetPath;
    }

    public static final String DATABASE_NAME = "FaceRec.db";
    public static final int VERSION_CODE = 3;
    public static final String TABLE_NAME = "emploee";

    public static final String TABLE_FACE_VIP = "faceVIP";
    public static final String TABLE_WORKER_FACE = "workerFace";
    public static final String TABLE_IO_RECORD = "IO_record";
    public static final String TABLE_WORKER_SCH = "workerSch";
    public static final String TABLE_RECORD_PICS="recordPics";


    private static final String DOC = "application/msword";
    public static final String DOCX = "application/vnd.openxmlformats-officedocument.wordprocessingml.document";
    public static final String XLS = "application/vnd.ms-excel application/x-excel";
    public static final String XLSX = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    public static final String PPT = "application/vnd.ms-powerpoint";
    public static final String PPTX = "application/vnd.openxmlformats-officedocument.presentationml.presentation";
    public static final String PDF = "application/pdf";
    public static final String JPEG = "image/jpeg";

    public static final String RAR = "application/x-rar-compressed";
    public static final String TXT = "text/plain";
    public static final String ZIP = "application/zip";


    public static String[] mimeTypes = new String[]{DOC, DOCX, PPT, PPTX, PDF,XLS,XLSX,RAR,TXT,ZIP};

    public static final String URL_QUAKE = "http://quakehr.quakeai.tech:31022/";


    // MobileFaceNet
    public static final int TF_OD_API_INPUT_SIZE = 112;
    public static final boolean TF_OD_API_IS_QUANTIZED = false;
    public static final String TF_OD_API_MODEL_FILE = "mobile_face_net.tflite";
    public static final String TF_OD_API_LABELS_FILE = "file:///android_asset/labelmap.txt";
    
    
    public  static final int FACE_REC_RESULT = 1;
}
